Recent patch to asus-wmi module makes system unbootable

Bug #1041883 reported by peterrus on 2012-08-26
70
This bug affects 11 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Tim Gardner
Quantal
High
Tim Gardner

Bug Description

There has been recently a patch to the asus-wmi module (see http://comments.gmane.org/gmane.linux.kernel/1315719). This updated module is part of the linux-image-3.5.0-11-generic package. Using this module renders the system unbootable (For reasons probably described in the logs, but currently beyond my knowledge, stacktraces can be seen though)

I have applied this patch before through dkms and had the exact same problems. So I removed the patch, it is now part of the ubuntu kernel though.

The behaviour seems somewhat random, sometimes the system boots, and the Function hotkeys (keyboard backlight, volume etc) work (except the known problem with the brightness keys and ambient light sensor). But most of the time the system simply wont boot. I can however first start the system in recovery mode, and then proceed normal boot, the problem does not occur then.

Hardware: Asus Zenbook UX32V

If further information/testing is needed, please contact me.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: linux-image-3.5.0-11-generic 3.5.0-11.11
ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
Uname: Linux 3.5.0-10-generic x86_64
ApportVersion: 2.5.1-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
 /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
 /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
Date: Sun Aug 26 18:08:05 2012
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (20120627)
MachineType: ASUSTeK COMPUTER INC. UX32VD
ProcEnviron:
 TERM=xterm
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash pcie_aspm=force drm.vblankoffdelay=1 i915.semaphores=1 nmi_watchdog=0
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-10-generic N/A
 linux-backports-modules-3.5.0-10-generic N/A
 linux-firmware 1.90
SourcePackage: linux
StagingDrivers: rts5139
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/29/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: UX32VD.207
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: UX32VD
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrUX32VD.207:bd06/29/2012:svnASUSTeKCOMPUTERINC.:pnUX32VD:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnUX32VD:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: UX32VD
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

peterrus (petorrus) wrote :
tags: added: regression-release
Brad Figg (brad-figg) on 2012-08-26
Changed in linux (Ubuntu):
status: New → Confirmed
peterrus (petorrus) wrote :

The current logs don't seem to contain any information regarding the crash, I will now boot to the kernel and post them.

peterrus (petorrus) wrote :

Nothing is logged to disk, so I took a picture of it.

By the way:

First boot to 3.5.0-11 went well, the asus-wmi module did its work as seen here: (see dmesg_working.txt)

[ 2.123829] wmi: Mapper loaded
[ 12.447628] asus_wmi: ASUS WMI generic driver loaded
[ 12.466226] asus_wmi: Initialization: 0x1asus_wmi: BIOS WMI version: 7.9
[ 12.466343] asus_wmi: SFUN value: 0x4a2877<6>[ 12.468665] input: Asus WMI hotkeys as /devices/platform/asus-nb-wmi/input/input6
[ 12.622455] asus_wmi: Backlight controlled by ACPI video driver

Second boot failed (see picture)

Third boot to recovery mode, and then resumed boot: the module works as expected, same behaviour as in dmesg_working.txt (race condition?)

peterrus (petorrus) wrote :

Picture

peterrus (petorrus) wrote :

Problem still persists in -12

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.6 kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. Please only remove that one tag and leave the other tags. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc3-quantal/

Changed in linux (Ubuntu):
importance: Undecided → Medium
importance: Medium → High
tags: added: needs-upstream-testing
tags: added: get-next-timer-interrupt
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
peterrus (petorrus) wrote :

I also experience this behaviour on mainline/v3.6-rc3-quantal.

Recovery mode -> asus-wmi works
normal boot -> oops

Furthermore, the iwlwifi module seems to crash on that kernel, but I should probably see what ubuntu's kernel does when its gets to 3.6

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-mainstream
removed: needs-upstream-testing
tags: added: kernel-bug-exists-upstream
removed: kernel-bug-exists-mainstream
ambidextrvs (ambidextrvs) wrote :

Hi, I'm having the same problem. I have tested installing the asus_wmi patches to kernels < = 3.5.0-10 . I have tested also with kernels 3.5.0-11 and 3.6.0-rc1. Just wanted to note that this bug seems to only be present when installing ubuntu on the SSD since users with the same hardware but with Ubuntu installed in the HDD don't seem to be complaining (could somebody confirm that?). Also, here is the screenshot of my kernel panic: http://ubuntuone.com/5qMF3QPsqWkS7qWDdLWCto

peterrus (petorrus) wrote :

I have indeed installed ubuntu to a SSD, and I can not open your screenshot.

ambidextrvs (ambidextrvs) wrote :

Here is the screenshot again as an attachment.

Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report[0]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

[0] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Corentin Chary (iksaif) wrote :

Upstream is kind of Ubuntu. The patch was from Canonical, that have informations from Asus directly.
Real upstream maintainer is me, but I don't have access to either documentation or hardware.

I think someone should try to boot without X11 and play with /sys/devices/platform/asus*/ stuff untill it crash.

Joseph Salisbury (jsalisbury) wrote :

I will ping Alex Hung about this bug.

peterrus (petorrus) wrote :

So I should probably wait with reporting as upstream?

Joseph Salisbury (jsalisbury) wrote :

@peterrus, yes, I will contact Alex to see what the next steps should be and update the bug.

ambidextrvs (ambidextrvs) wrote :

Hi, I just tested with kernel 3.5.0-13, the bug is still there.
Is there anything I can do to help fix this bug? Maybe somebody could give me some pointer on how to debug it? thanks

Download full text (4.3 KiB)

I can't give you specific pointers as I am in no way a kernel developer ;)
but what it seems SSD users have this problem, while HDD users don't (might
need more confirmation). So somewhere the execution of the program depends
on a timing element. When booting from hdd, the boot is so slow that this
timing is correct, when booting from SSD, this timing is off, because the
system boots much faster.

This also explains why the module works properly in recovery mode followed
by 'resume normal boot', as the boot is much slower then (because it waits
for you to confirm 'resume normal boot').

The project lives here: http://acpi4asus.sourceforge.net/

On Sat, Sep 1, 2012 at 12:24 AM, ambidextrvs <email address hidden> wrote:

> Hi, I just tested with kernel 3.5.0-13, the bug is still there.
> Is there anything I can do to help fix this bug? Maybe somebody could give
> me some pointer on how to debug it? thanks
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> Triaged
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
> root=UUID=9bb39...

Read more...

peterrus (petorrus) wrote :
Download full text (4.6 KiB)

But as Corentin states: This patch was merged by Canonical, so he is not in
the position to do anything about it, Alex might be.

On Sat, Sep 1, 2012 at 12:37 PM, PJ P <email address hidden> wrote:

> I can't give you specific pointers as I am in no way a kernel developer ;)
> but what it seems SSD users have this problem, while HDD users don't (might
> need more confirmation). So somewhere the execution of the program depends
> on a timing element. When booting from hdd, the boot is so slow that this
> timing is correct, when booting from SSD, this timing is off, because the
> system boots much faster.
>
> This also explains why the module works properly in recovery mode followed
> by 'resume normal boot', as the boot is much slower then (because it waits
> for you to confirm 'resume normal boot').
>
> The project lives here: http://acpi4asus.sourceforge.net/
>
> On Sat, Sep 1, 2012 at 12:24 AM, ambidextrvs <email address hidden>wrote:
>
>> Hi, I just tested with kernel 3.5.0-13, the bug is still there.
>> Is there anything I can do to help fix this bug? Maybe somebody could
>> give me some pointer on how to debug it? thanks
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1041883
>>
>> Title:
>> Recent patch to asus-wmi module makes system unbootable
>>
>> Status in “linux” package in Ubuntu:
>> Triaged
>>
>> Bug description:
>> There has been recently a patch to the asus-wmi module (see
>> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
>> module is part of the linux-image-3.5.0-11-generic package. Using this
>> module renders the system unbootable (For reasons probably described
>> in the logs, but currently beyond my knowledge, stacktraces can be
>> seen though)
>>
>> I have applied this patch before through dkms and had the exact same
>> problems. So I removed the patch, it is now part of the ubuntu kernel
>> though.
>>
>> The behaviour seems somewhat random, sometimes the system boots, and
>> the Function hotkeys (keyboard backlight, volume etc) work (except the
>> known problem with the brightness keys and ambient light sensor). But
>> most of the time the system simply wont boot. I can however first
>> start the system in recovery mode, and then proceed normal boot, the
>> problem does not occur then.
>>
>> Hardware: Asus Zenbook UX32V
>>
>> If further information/testing is needed, please contact me.
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 12.10
>> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
>> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
>> Uname: Linux 3.5.0-10-generic x86_64
>> ApportVersion: 2.5.1-0ubuntu2
>> Architecture: amd64
>> AudioDevicesInUse:
>> USER PID ACCESS COMMAND
>> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
>> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
>> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
>> Date: Sun Aug 26 18:08:05 2012
>> EcryptfsInUse: Yes
>> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
>> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alp...

Read more...

ambidextrvs (ambidextrvs) wrote :

I have been playing with some timing elements in the grub to slow down the boot like GRUB_TIMEOUT and root delay with no success. I've found that sometimes when waiting for a while in the grub edit menu, the bug doesn't show.
I think we need more information about the bug so I'm trying to get the complete crashdump. I installed linux-crashdump and I've been looking into https://wiki.ubuntu.com/Kernel/CrashdumpRecipe but I haven't been able make it work, the system is not automatically rebooted and I'm not able to get the .crash file. I guess the crash kernel is not loaded this early into the booting process?

Is there anything else I can try?

Corentin Chary (iksaif) wrote :

> Is there anything else I can try?

Like I said earlier, boot in rescue mode and try to play with every
files exposed by asus-wmi. Maybe It will crash and you can find which
file caused that...

--
Corentin Chary
http://xf.iksaif.net

peterrus (petorrus) wrote :
Download full text (3.8 KiB)

Can you elaborate on what you mean with 'playing with' ?

On Mon, Sep 3, 2012 at 8:55 AM, Corentin Chary <email address hidden>wrote:

> > Is there anything else I can try?
>
> Like I said earlier, boot in rescue mode and try to play with every
> files exposed by asus-wmi. Maybe It will crash and you can find which
> file caused that...
>
>
> --
> Corentin Chary
> http://xf.iksaif.net
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> Triaged
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
> root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash
> pcie_aspm=force drm.vblankoffdelay=1 i915.semaphores=1 nmi_watchdog=0
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-10-generic N/A
> linux-backports-modules-3.5.0-10-generic N/A
> linux-firmware 1.90
> SourcePackage: linux
> StagingDrivers: rts5139
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 06/29/2012
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: UX32VD...

Read more...

Corentin Chary (iksaif) wrote :

On Mon, Sep 3, 2012 at 10:47 AM, peterrus <email address hidden> wrote:
> Can you elaborate on what you mean with 'playing with' ?

Simply use them as they are designed to be used, referring to
Documentation/ABI/testing/*asus*

--
Corentin Chary
http://xf.iksaif.net

Dassburger (dassburger) wrote :

So, guys, this bug seems not to be related with asus-wmi at all. Stack dump shows some problem with timer interrupts handling & SMP APIC.

Try adding "nolapic" parameter to kernel boot options. It should help at least with cold booting/rebooting. I'm going to play with suspending the laptop with both Alt+F1 and closing the lid.

A question to kernel developers: how can I get more information which can help you to fix the probable bug in Local APIC for Zenbook?

PS. I'm testing on Precise Pangolin against backported 3.5.0 kernel from Quantal. My machine is UX32A.

peterrus (petorrus) wrote :
Download full text (4.3 KiB)

If the bug is not related to asus-wmi, why is then that once I enabled the
module through dkms the problem appears, and once I disable it, the problem
is gone? (Not actually expecting an answer here ;) but to point out that I
do think the problem lies in the module)

On Sun, Sep 9, 2012 at 4:14 PM, Dassburger <email address hidden> wrote:

> So, guys, this bug seems not to be related with asus-wmi at all. Stack
> dump shows some problem with timer interrupts handling & SMP APIC.
>
> Try adding "nolapic" parameter to kernel boot options. It should help at
> least with cold booting/rebooting. I'm going to play with suspending the
> laptop with both Alt+F1 and closing the lid.
>
> A question to kernel developers: how can I get more information which
> can help you to fix the probable bug in Local APIC for Zenbook?
>
> PS. I'm testing on Precise Pangolin against backported 3.5.0 kernel from
> Quantal. My machine is UX32A.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> Triaged
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
> r...

Read more...

Dassburger (dassburger) wrote :

Oops! Yes, you're right. I was confused because my own experiments with this module.

Actually, I've tracked down that asus_wmi_rfkill_init() makes module to crash, while probing for different devices (wifi, gps, wwan3g, etc). Skipping it if dsts_id is ASUS_WMI_METHODID_DSTS2 makes module stable, at least, leaving us with kbd backlight, and volume control keys working.

I'll spend the next few days to figure out if it's possible to get more functionality working. Especially, screen backlight.

peterrus (petorrus) wrote :
Download full text (4.1 KiB)

Awesome, if you are in need of testing, tell me.

On Sun, Sep 9, 2012 at 10:53 PM, Dassburger <email address hidden> wrote:

> Oops! Yes, you're right. I was confused because my own experiments with
> this module.
>
> Actually, I've tracked down that asus_wmi_rfkill_init() makes module to
> crash, while probing for different devices (wifi, gps, wwan3g, etc).
> Skipping it if dsts_id is ASUS_WMI_METHODID_DSTS2 makes module stable,
> at least, leaving us with kbd backlight, and volume control keys
> working.
>
> I'll spend the next few days to figure out if it's possible to get more
> functionality working. Especially, screen backlight.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> Triaged
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
> root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash
> pcie_aspm=force drm.vblankoffdelay=1 i915.semaphores=1 nmi_watchdog=0
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-10-generic N/A
> linux-backports-modules-3.5.0-10-generic N/A
> linux-firmware ...

Read more...

Tim Gardner (timg-tpi) wrote :

Alex - 'asus-wmi: use ASUS_WMI_METHODID_DSTS2 as default DSTS ID.' is the only change to drivers/platform/x86/asus-wmi.c from Ubuntu-3.5.0-10.10 to Ubuntu-3.5.0-11.11

Changed in linux (Ubuntu Quantal):
assignee: nobody → Alex Hung (alexhung)
status: Triaged → In Progress
BlueHawk (jbarnett-pobox) wrote :

Just to confirm that this problem also exists for the UX32a. I tried the Quantal 3.5.4 kernel with nomodeset and get the random hangs on boot. Booting off an install on SSD. Recovery booting as always, works fine.

peterrus (petorrus) wrote :
Download full text (3.9 KiB)

@Dassburger, so if I simply comment that out (there is one occurence?) the
problem would be gone? (and leaving me without a wifi switch)

On Tue, Sep 18, 2012 at 3:09 PM, BlueHawk <email address hidden>wrote:

> Just to confirm that this problem also exists for the UX32a. I tried the
> Quantal 3.5.4 kernel with nomodeset and get the random hangs on boot.
> Booting off an install on SSD. Recovery booting as always, works fine.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> In Progress
> Status in “linux” source package in Quantal:
> In Progress
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
> root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash
> pcie_aspm=force drm.vblankoffdelay=1 i915.semaphores=1 nmi_watchdog=0
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-10-generic N/A
> linux-backports-modules-3.5.0-10-generic N/A
> linux-firmware 1.90
> SourcePackage: linux
> StagingDrivers: rts5139
> UpgradeStatus: No upgrade log present (probably fresh in...

Read more...

Tim Gardner (timg-tpi) wrote :

Please try this kernel at http://kernel.ubuntu.com/~rtg/lp1041883.1/ with the patch 'Revert "asus-wmi: use ASUS_WMI_METHODID_DSTS2 as default DSTS ID."'. For example:

wget http://kernel.ubuntu.com/~rtg/lp1041883.1/linux-image-3.5.0-15-generic_3.5.0-15.21_amd64.deb
wget http://kernel.ubuntu.com/~rtg/lp1041883.1/linux-image-extra-3.5.0-15-generic_3.5.0-15.21_amd64.deb
sudo dpkg -i linux-image*.deb

Changed in linux (Ubuntu Quantal):
assignee: Alex Hung (alexhung) → Tim Gardner (timg-tpi)
Alex Hung (alexhung) wrote :

The use ASUS_WMI_METHODID_DSTS2 is to make sure asus-wmi and asus-nb-wmi will be loaded correctly - without an DSTS id assigned, many of the functions in asus-wmi / asus-nb-wmi will not work. That's why hotkeys are not working

Preivously asus bios will either respnod to ASUS_WMI_METHODID_DSTS or ASUS_WMI_METHODID_DSTS2 when asus-wmi queries to bios function; however, asus decided that is not true in their new laptops and is making the ASUS_WMI_METHODID_DSTS2 the default.

My suspect is that no the patch cause the hang. It is the working of asus-wmi funcitons that conflicts with something else (apic?) - perhaps a race-condition?

I tried a number of asus laptop, but unfortunately I never had chance to work on any asus with ssd or even a zenbook with a ssd, but it seems it only happens on zenbook with ssd, right?

peterrus (petorrus) wrote :

@Tim Gardner: Seems to make no difference

In the meantime, is there a way to disable loading the module, adding it to
/etc/modprobe.d/blacklist.conf seems to have no effect

peterrus (petorrus) wrote :

@Tim Gardner:

when I boot your kernel in recovery mode, it boots, I get into X etc etc,
but the hotkeys do not work (this could've been suspected), this makes it
really strange that the kernel won't boot in regular mode, which might not
even be related to this bug. With not booting I mean: Screen stays black.

Tim Gardner (timg-tpi) wrote :

peterrus - regarding comment #32 please make sure the modules you've blacklisted are in fact not getting loaded, e.g., 'lsmod |grep asus'.

Its possible that asus-wmi is a red herring. So, I guess there are 3 things to try:

1) Re-verify that 3.5.0-10.10 still works.
2) Try mainline 3.5.1 (http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5.1-quantal/) and 3.5.2 (http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5.2-quantal/)
3) Assuming 3.5.2 exhibits the problem, work with jsalisbury to bisect from 3.5.1 to 3.5.2.

Joseph Salisbury (jsalisbury) wrote :

@peterus, I look forward to hearing your test results. I can kick off a bisect and start posting test kernels once we hear back.

tags: added: performing-bisect
peterrus (petorrus) wrote :
Download full text (3.8 KiB)

Will test right away

On Tue, Sep 18, 2012 at 6:13 PM, Joseph Salisbury <
<email address hidden>> wrote:

> @peterus, I look forward to hearing your test results. I can kick off a
> bisect and start posting test kernels once we hear back.
>
> ** Tags added: performing-bisect
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> In Progress
> Status in “linux” source package in Quantal:
> In Progress
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
> root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash
> pcie_aspm=force drm.vblankoffdelay=1 i915.semaphores=1 nmi_watchdog=0
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-10-generic N/A
> linux-backports-modules-3.5.0-10-generic N/A
> linux-firmware 1.90
> SourcePackage: linux
> StagingDrivers: rts5139
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 06/29/2012
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: UX32VD.207
> dmi.board.asset.tag: ATN1234567...

Read more...

peterrus (petorrus) wrote :
Download full text (4.2 KiB)

* 3.5.0-10.10 still works.
* Mainline 3.5.1 boots, no black screen (good) no working asus-wmi (hotkeys
dont work), no need to use recovery mode for booting
* Mainline 3.5.2 works at first boot (no black screen, working hotkeys),
second boot (dito), and third boot (dito)

On Tue, Sep 18, 2012 at 6:24 PM, PJ P <email address hidden> wrote:

> Will test right away
>
>
> On Tue, Sep 18, 2012 at 6:13 PM, Joseph Salisbury <
> <email address hidden>> wrote:
>
>> @peterus, I look forward to hearing your test results. I can kick off a
>> bisect and start posting test kernels once we hear back.
>>
>> ** Tags added: performing-bisect
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1041883
>>
>> Title:
>> Recent patch to asus-wmi module makes system unbootable
>>
>> Status in “linux” package in Ubuntu:
>> In Progress
>> Status in “linux” source package in Quantal:
>> In Progress
>>
>> Bug description:
>> There has been recently a patch to the asus-wmi module (see
>> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
>> module is part of the linux-image-3.5.0-11-generic package. Using this
>> module renders the system unbootable (For reasons probably described
>> in the logs, but currently beyond my knowledge, stacktraces can be
>> seen though)
>>
>> I have applied this patch before through dkms and had the exact same
>> problems. So I removed the patch, it is now part of the ubuntu kernel
>> though.
>>
>> The behaviour seems somewhat random, sometimes the system boots, and
>> the Function hotkeys (keyboard backlight, volume etc) work (except the
>> known problem with the brightness keys and ambient light sensor). But
>> most of the time the system simply wont boot. I can however first
>> start the system in recovery mode, and then proceed normal boot, the
>> problem does not occur then.
>>
>> Hardware: Asus Zenbook UX32V
>>
>> If further information/testing is needed, please contact me.
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 12.10
>> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
>> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
>> Uname: Linux 3.5.0-10-generic x86_64
>> ApportVersion: 2.5.1-0ubuntu2
>> Architecture: amd64
>> AudioDevicesInUse:
>> USER PID ACCESS COMMAND
>> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
>> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
>> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
>> Date: Sun Aug 26 18:08:05 2012
>> EcryptfsInUse: Yes
>> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
>> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
>> (20120627)
>> MachineType: ASUSTeK COMPUTER INC. UX32VD
>> ProcEnviron:
>> TERM=xterm
>> PATH=(custom, user)
>> LANG=en_US.UTF-8
>> SHELL=/bin/bash
>> ProcFB: 0 inteldrmfb
>> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
>> root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash
>> pcie_aspm=force drm.vblankoffdelay=1 i915.semaphores=1 nmi_watchdog=0
>> RelatedPackageVersions:
...

Read more...

Alex Hung (alexhung) wrote :

@Dassburger,

thanks for the valuable information on asus_wmi_rfkill_init(). Will it be possible to narrorw down which part of asus_wmi_rfkill_init cause the hang? For instance, could it be one of the asus_new_rfkill() or asus_setup_pci_hotplug() or so?

Tim Gardner (timg-tpi) wrote :

jsalisbury - so it looks like it might be something Ubuntu specific since mainline 3.5.2 works for peterrus. I would start by resetting to f0d8bd83c3d4db8ae76df8a894eac04d441e887d which is Ubuntu-3.5.0-10.10 on the Ubuntu-3.5.0-11.11 branch (which also includes 3.5.2). Make sure this still works. If so, then bisect between Ubuntu-3.5.0-11.11 and f0d8bd83c3d4db8ae76df8a894eac04d441e887d:

git reset --hard Ubuntu-3.5.0-11.11
git bisect start
git bisect good f0d8bd83c3d4db8ae76df8a894eac04d441e887d
git bisect bad Ubuntu-3.5.0-11.11

I am using Debian Testing with 3.5.4 and also have very hard trouble booting (one out of 20 times it works?). I had no problems with 3.5.0rc7 (+the WMI patch applied manually).

Sorry, I used the wrong account. The last comment was done by me.

Dassburger (dassburger) wrote :
Download full text (4.1 KiB)

Alex, my experiments show that the problem is caused by wifi and bluetooth
initialization in rfkill. I've noticed that the problem can be reproduced
with these turned on (uncommented). I tried enabling/disabling wifi and
bluetooth NOT simultaneously, one is on and other is off. After reboot I
could get kernel crash almost 100%. However, when they're turned on or off
at the same time, booting is stable in most cases. As for me, it seems like
some kind of race condition. Do rfkills have something in common with
interrupt handling?

2012/9/18 Carsten Otto <email address hidden>

> Sorry, I used the wrong account. The last comment was done by me.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> In Progress
> Status in “linux” source package in Quantal:
> In Progress
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
> root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash
> pcie_aspm=force drm.vblankoffdelay=1 i915.semaphores=1 nmi_watchdog=0
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-10-generic N/A
> ...

Read more...

Joseph Salisbury (jsalisbury) wrote :

@peterrus,

I created a Quantal test kernel. The test kernel was built after being reset to f0d8bd83. The test kernel can be downloaded from:

http://people.canonical.com/~jsalisbury/lp1041883/

Can you test that kernel and confirm it does not have the bug?

Thanks in advance.

peterrus (petorrus) wrote :

I can confirm that this works:

keyboard backlight up/down, tracpad toggle, volume toggle, volume.

peterrus@host:~$ uname -a
Linux host 3.5.0-10-generic #10~lp1041883v1 SMP Tue Sep 18 18:41:30 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Joseph Salisbury (jsalisbury) wrote :

I reset my Quantal tree to Ubuntu-3.5.0-11.11 and kicked off a bisect between f0d8bd83 and Ubuntu-3.5.0-11.11.

I built the first test kernel, which is up to commit:
e1bd6cd32e9eb6f0d88dad9ba8aaff9006dd0cb3

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1041883

Can you test that kernel and report back if it has the bug or not?

peterrus (petorrus) wrote :

It does not have the bug, also the rfkill button works, (which it probably should)

BlueHawk (jbarnett-pobox) wrote :

lp1041883 works for the UX32A as well - at least this particular bug is gone, and the display comes up without nomodeset. Function keys work except for display brightness (expected) and keyboard backlight. Screen switches off when you close the lid and comes back on when you open it again.

Alex Hung (alexhung) wrote :

@Dassburger, it calls bios's wmi function and probably reads from ec which generates interrupts (GPE events).

peterrus (petorrus) wrote :

@Bluehawk: Are you sure keyboard backlight doesn't work? the 32A and 32V should be nearly identical

I still cannot boot with jsalisbury on my ux32v (previous kernel version works but also give me a black screen if I patch in Asus wmi) . Sometimes caps locks keep on blinding with no screen, other times I just don't have a screen at all. I'm also using my ssd to boot.

Thanks for your help

BlueHawk (jbarnett-pobox) wrote :

@jonathan.ernst Cpas lock flashing means that the kernel panic occurred - which is the original problem we've all been having.

I spoke too soon. The problem re-occurred this morning. I removed acpi_osi=Linux and i915.modeset=1 from the boot params in my grub setup and it went away again. So there may still be a "timing" issue. I'll see if this problem stays away now.

@peterrus - you, the keyboard backlight definitely does not change in intensity. Closing the lid and forcing suspend, and then coming out of suspend shuts off the keyboard light. But other than that, no control via the function keys.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, which is up to commit:
490c8669007cb7ab08b9c06176d0c01531688fbb

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1041883

Can you test that kernel and report back if it has the bug or not?

Joseph Salisbury (jsalisbury) wrote :

The current bisect I am performing is focusing on systems being un-bootable. For all other issues, it would be helpful to open new bugs, so we can focus on one issue at a time.

peterrus (petorrus) wrote :
Download full text (4.4 KiB)

Strange I can control them just fine, and everything still seems to working
after a few boots, I did have one occurence of the system not coming out of
suspend, but that might just be a unrelated issue

On Wed, Sep 19, 2012 at 4:29 PM, BlueHawk <email address hidden>wrote:

> @jonathan.ernst Cpas lock flashing means that the kernel panic occurred
> - which is the original problem we've all been having.
>
> I spoke too soon. The problem re-occurred this morning. I removed
> acpi_osi=Linux and i915.modeset=1 from the boot params in my grub setup
> and it went away again. So there may still be a "timing" issue. I'll see
> if this problem stays away now.
>
> @peterrus - you, the keyboard backlight definitely does not change in
> intensity. Closing the lid and forcing suspend, and then coming out of
> suspend shuts off the keyboard light. But other than that, no control
> via the function keys.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> In Progress
> Status in “linux” source package in Quantal:
> In Progress
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: B...

Read more...

peterrus (petorrus) wrote :
Download full text (3.8 KiB)

Joseph: Do you have a link, or is it still being built?

On Wed, Sep 19, 2012 at 4:34 PM, Joseph Salisbury <
<email address hidden>> wrote:

> The current bisect I am performing is focusing on systems being un-
> bootable. For all other issues, it would be helpful to open new bugs,
> so we can focus on one issue at a time.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> In Progress
> Status in “linux” source package in Quantal:
> In Progress
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
> root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash
> pcie_aspm=force drm.vblankoffdelay=1 i915.semaphores=1 nmi_watchdog=0
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-10-generic N/A
> linux-backports-modules-3.5.0-10-generic N/A
> linux-firmware 1.90
> SourcePackage: linux
> StagingDrivers: rts5139
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 06/29/2012
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.versio...

Read more...

Joseph Salisbury (jsalisbury) wrote :

The kernel can be downloaded from:
http://people.canonical.com/~jsalisbury/lp1041883/

ambidextrvs (ambidextrvs) wrote :

I think the bug is still there. I wasn't able to boot with the kernel from http://people.canonical.com/~jsalisbury/lp1041883/

Joseph Salisbury (jsalisbury) wrote :

@peterrus,

It would be good to know if the bug also exists in the test kernel I posted.

ambidextrvs (ambidextrvs) wrote :

Hi, so I tested 3.5.2 again (http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5.2-quantal/) and it didn't work for me. So I don't think this is a Ubuntu specific problem. I would think it has more to do with the "race condition" that @Dassburger is suggesting.

@peterrus do you have any specific settings (grub, etc..) that could explain why the kernels work for you?

BlueHawk (jbarnett-pobox) wrote :

I've tested the latest build on my UX32A. It seems stable - but the previous one seemed stable as well until I tried booting again this morning (I did have a few different issues though with yesterday's build - this morning it would occasionally not come up with flashing caps lock flashing, but it would be unresponsive and at a black screen, but most times the caps lock would be flashing when the boot failed). I'd give it a day more of booting to see if it is stable. Seems good at this stage though.

peterrus (petorrus) wrote :
Download full text (4.3 KiB)

Assuming you are talking about this one:

http://people.canonical.com/~jsalisbury/lp1041883/linux-image-3.5.0-11-generic_3.5.0-11.11~lp1041883v2_amd64.deb(and
its accompanying debs)

On Wed, Sep 19, 2012 at 7:21 PM, BlueHawk <email address hidden>wrote:

> I've tested the latest build on my UX32A. It seems stable - but the
> previous one seemed stable as well until I tried booting again this
> morning (I did have a few different issues though with yesterday's build
> - this morning it would occasionally not come up with flashing caps lock
> flashing, but it would be unresponsive and at a black screen, but most
> times the caps lock would be flashing when the boot failed). I'd give it
> a day more of booting to see if it is stable. Seems good at this stage
> though.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> In Progress
> Status in “linux” source package in Quantal:
> In Progress
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
> root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash
> pcie_aspm=force drm...

Read more...

peterrus (petorrus) wrote :
Download full text (4.8 KiB)

If so: boots the first time, will try a few more boots after this post.
Everything working as reported earlier (except screenbrightness ofcourse).

I notice, by the way, that the wifi toggle light (there is a led inside the
wifi toggle button) isn't reverted anymore, so wifi off = led off, wifi on
= led on. This used to be the other way around as far as I remember (and
actually checked)

On Wed, Sep 19, 2012 at 8:25 PM, PJ P <email address hidden> wrote:

> Assuming you are talking about this one:
>
>
> http://people.canonical.com/~jsalisbury/lp1041883/linux-image-3.5.0-11-generic_3.5.0-11.11~lp1041883v2_amd64.deb(and its accompanying debs)
>
> On Wed, Sep 19, 2012 at 7:21 PM, BlueHawk <email address hidden>wrote:
>
>> I've tested the latest build on my UX32A. It seems stable - but the
>> previous one seemed stable as well until I tried booting again this
>> morning (I did have a few different issues though with yesterday's build
>> - this morning it would occasionally not come up with flashing caps lock
>> flashing, but it would be unresponsive and at a black screen, but most
>> times the caps lock would be flashing when the boot failed). I'd give it
>> a day more of booting to see if it is stable. Seems good at this stage
>> though.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1041883
>>
>> Title:
>> Recent patch to asus-wmi module makes system unbootable
>>
>> Status in “linux” package in Ubuntu:
>> In Progress
>> Status in “linux” source package in Quantal:
>> In Progress
>>
>> Bug description:
>> There has been recently a patch to the asus-wmi module (see
>> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
>> module is part of the linux-image-3.5.0-11-generic package. Using this
>> module renders the system unbootable (For reasons probably described
>> in the logs, but currently beyond my knowledge, stacktraces can be
>> seen though)
>>
>> I have applied this patch before through dkms and had the exact same
>> problems. So I removed the patch, it is now part of the ubuntu kernel
>> though.
>>
>> The behaviour seems somewhat random, sometimes the system boots, and
>> the Function hotkeys (keyboard backlight, volume etc) work (except the
>> known problem with the brightness keys and ambient light sensor). But
>> most of the time the system simply wont boot. I can however first
>> start the system in recovery mode, and then proceed normal boot, the
>> problem does not occur then.
>>
>> Hardware: Asus Zenbook UX32V
>>
>> If further information/testing is needed, please contact me.
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 12.10
>> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
>> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
>> Uname: Linux 3.5.0-10-generic x86_64
>> ApportVersion: 2.5.1-0ubuntu2
>> Architecture: amd64
>> AudioDevicesInUse:
>> USER PID ACCESS COMMAND
>> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
>> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
>> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
>> Dat...

Read more...

peterrus (petorrus) wrote :
Download full text (5.2 KiB)

Second boot went well also, about the wifi status light: at an older
kernel, (3.5.0-8) the wifi light often only worked after doing 4 or so
toggles, with this kernel it seems to work like it should.

On Wed, Sep 19, 2012 at 8:34 PM, PJ P <email address hidden> wrote:

> If so: boots the first time, will try a few more boots after this post.
> Everything working as reported earlier (except screenbrightness ofcourse).
>
> I notice, by the way, that the wifi toggle light (there is a led inside
> the wifi toggle button) isn't reverted anymore, so wifi off = led off, wifi
> on = led on. This used to be the other way around as far as I remember (and
> actually checked)
>
>
> On Wed, Sep 19, 2012 at 8:25 PM, PJ P <email address hidden> wrote:
>
>> Assuming you are talking about this one:
>>
>>
>> http://people.canonical.com/~jsalisbury/lp1041883/linux-image-3.5.0-11-generic_3.5.0-11.11~lp1041883v2_amd64.deb(and its accompanying debs)
>>
>> On Wed, Sep 19, 2012 at 7:21 PM, BlueHawk <email address hidden>wrote:
>>
>>> I've tested the latest build on my UX32A. It seems stable - but the
>>> previous one seemed stable as well until I tried booting again this
>>> morning (I did have a few different issues though with yesterday's build
>>> - this morning it would occasionally not come up with flashing caps lock
>>> flashing, but it would be unresponsive and at a black screen, but most
>>> times the caps lock would be flashing when the boot failed). I'd give it
>>> a day more of booting to see if it is stable. Seems good at this stage
>>> though.
>>>
>>> --
>>> You received this bug notification because you are subscribed to the bug
>>> report.
>>> https://bugs.launchpad.net/bugs/1041883
>>>
>>> Title:
>>> Recent patch to asus-wmi module makes system unbootable
>>>
>>> Status in “linux” package in Ubuntu:
>>> In Progress
>>> Status in “linux” source package in Quantal:
>>> In Progress
>>>
>>> Bug description:
>>> There has been recently a patch to the asus-wmi module (see
>>> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
>>> module is part of the linux-image-3.5.0-11-generic package. Using this
>>> module renders the system unbootable (For reasons probably described
>>> in the logs, but currently beyond my knowledge, stacktraces can be
>>> seen though)
>>>
>>> I have applied this patch before through dkms and had the exact same
>>> problems. So I removed the patch, it is now part of the ubuntu kernel
>>> though.
>>>
>>> The behaviour seems somewhat random, sometimes the system boots, and
>>> the Function hotkeys (keyboard backlight, volume etc) work (except the
>>> known problem with the brightness keys and ambient light sensor). But
>>> most of the time the system simply wont boot. I can however first
>>> start the system in recovery mode, and then proceed normal boot, the
>>> problem does not occur then.
>>>
>>> Hardware: Asus Zenbook UX32V
>>>
>>> If further information/testing is needed, please contact me.
>>>
>>> ProblemType: Bug
>>> DistroRelease: Ubuntu 12.10
>>> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
>>> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
>>> Una...

Read more...

BlueHawk (jbarnett-pobox) wrote :

@peterrus - yes, I was talking about today's build.

Ok. I started the laptop from a completely cold state. The problem came back with hangs at boot (flashing caps). Even recovery hung. After a while, when the system had warmed up again, the hangs went away.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, which is up to commit:
c7f240a0b0ea5c489aabf65b3399f192a6f6fc53

This kernel is available in the top level directory at:
http://people.canonical.com/~jsalisbury/lp1041883

Can you test that kernel and report back if it has the bug or not?

ambidextrvs (ambidextrvs) wrote :

@jsalisbury
It still has the bug.

If I understand correctly, the bisect you're performing is because 3.5.2 worked for @peterrus which led to the hypothesis that it was a Ubuntu specific problem, however I tested it too (see comment #59) and it didn't worked for me, so I don't think it has been fixed in any kernel version. This make me think that perhaps the bisect is not needed, and that the actual bug has always been in the asus-wmi module, however it has never been discovered or fixed because it is only present on special conditions (cold booting from SSD ) on the UX32VD or UX32A.
Perhaps it would be better to work with a patched versions of the asus-wmi module which we could load into the kernel. What do you think?

Joseph Salisbury (jsalisbury) wrote :

@ambidextrvs,

Yes, correct. This bisect is being performed for the issue @peterrus is seeing. You may be hitting a different issue. It might be best to open a new/separate bug, so we can focus specifically on your issue.

Joseph Salisbury (jsalisbury) wrote :

@peterus

Have you had a chance to test the kernel mentioned in comment #65? We probably only have a couple more kernels to test to identify the offending commit.

BlueHawk (jbarnett-pobox) wrote :

I've tested the latest build on the UX32A. This seems a bit more stable. I cold-booted after letting it stand overnight and it comes up fine. However, I did have issues last night on first install - it didn't get to a kernel panic with the caps lock light flashing, but the system didn't go to a black screen with a lockup. I did a grub rebuild in recovery and it has been good since. I will try another completely cold boot this afternoon when I can get back to the ASUS system.

BlueHawk (jbarnett-pobox) wrote :

Ok. Tried this afternoon, after leaving off all day and without AC power. Booted without AC power and agin have the kernel panic issue and consistently - even from recovery. It's got to be something related to Ivy Bridge and the Intel HD 4000 I think. It gets to recovery, which isn't switching to the graphics and DRM stuff. I see the screen flash as it tries to go to graphics from text mode and then the panic occurs. I also noticed that when it finally does boot to the login screen that it flashes some errors. I checked the logs.

The error comes up:
[drm:intel_dp_i2c_aux_ch] *ERROR* too many retries, giving up

And then through to the loging screen/

Ok. One other thing I noticed, I actually had a lock up after continuing from recovery. The boot progress was going through on screen after I left the recovery screen, and then what appears to be a panic occurred but the text became corrupted, instead of switching to graphics output.

I don't know if this is helping any.

ambidextrvs (ambidextrvs) wrote :

@jsalisbury

I would open a different bug, but I believe we are all experiencing the same one, at least we all share the same "symptoms". However it is an intermittent bug, triggered by special conditions (as @BlueHawk's comments can confirm I think) which I think could explain why @peterrus is not seeing the bug anymore on his system.

Should I open a new bug anyway?

VJ (infernozx) wrote :

I can confirm that the intermittent boot behavior occours on the UX32a when running 3.5.0.15 on a 32 and 64 bit install.

(This is booting from the SSD, with /home mounted on the HDD.)

peterrus (petorrus) wrote :
Download full text (3.9 KiB)

running:

Linux host 3.5.0-11-generic #11~lp1041883v2 SMP Wed Sep 19 18:55:52 UTC
2012 x86_64 x86_64 x86_64 GNU/Linux

Everything still works

On Sat, Sep 22, 2012 at 8:42 PM, VJ <email address hidden> wrote:

> I can confirm that the intermittent boot behavior occours on the UX32a
> when running 3.5.0.15 on a 32 and 64 bit install.
>
> (This is booting from the SSD, with /home mounted on the HDD.)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> In Progress
> Status in “linux” source package in Quantal:
> In Progress
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
> root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash
> pcie_aspm=force drm.vblankoffdelay=1 i915.semaphores=1 nmi_watchdog=0
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-10-generic N/A
> linux-backports-modules-3.5.0-10-generic N/A
> linux-firmware 1.90
> SourcePackage: linux
> StagingDrivers: rts5139
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 06/29/201...

Read more...

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing @peterrus. I will update the bisect and kick off the next test kernel build.

While the test kernel is building, can you confirm you are still affected by this bug by testing the latest Quantal kernel again. It would be good to ensure you can still reproduce this bug, so we know we are feeding good test results in to the bisect.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, which is up to commit:
41d572a1eb382b033a93f80e01450425d641dc05

This kernel is available in the top level directory at:
http://people.canonical.com/~jsalisbury/lp1041883

Can you test that kernel and report back if it has the bug or not?

peterrus (petorrus) wrote :
Download full text (4.0 KiB)

Linux host 3.5.0-11-generic #11~lp1041883v3 SMP Mon Sep 24 20:45:53 UTC
2012 x86_64 x86_64 x86_64 GNU/Linux

_works_

ubuntu 3.5.0-15 does not work

On Mon, Sep 24, 2012 at 11:45 PM, Joseph Salisbury <
<email address hidden>> wrote:

> I built the next test kernel, which is up to commit:
> 41d572a1eb382b033a93f80e01450425d641dc05
>
> This kernel is available in the top level directory at:
> http://people.canonical.com/~jsalisbury/lp1041883
>
> Can you test that kernel and report back if it has the bug or not?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> In Progress
> Status in “linux” source package in Quantal:
> In Progress
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
> root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash
> pcie_aspm=force drm.vblankoffdelay=1 i915.semaphores=1 nmi_watchdog=0
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-10-generic N/A
> linux-backports-modules-3.5.0-10-generic N/A
> linux-firmware 1.90
> SourcePackage: linux
>...

Read more...

BlueHawk (jbarnett-pobox) wrote :

3.5.0-15 does not work on the UX32A. Anecdotally, lp1041883v3 seems to be less stable on a cold UX32A than the last v2. Same errors though. Either kernel panic with flashing caps lock or just a black screen and unresponsive. Even after booting from recovery sometimes hangs. Goes away after system warms up. Still get message, "[drm:intel_dp_i2c_aux_ch] *ERROR* too many retries, giving up" on the first successful switch to graphics mode.

Alex Hung (alexhung) wrote :

If it is suspected to be related to ivy bridge or hd4000 (vga), will it be worthwhile to disable some power-saving feature, i.e. rc6?

for example, i915.i915_enable_rc6=-1 (please correct me if I am mistaken)

Joseph Salisbury (jsalisbury) wrote :

The bisect pointed to the following commit as the first bad one:
commit d3a67dbe37d32ba10da0de2f14151d606856e5d2
Author: Leann Ogasawara <email address hidden>
Date: Thu Aug 16 09:01:00 2012 -0700

UBUNTU: Ubuntu-3.5.0-11.11

This indicates the bug is due to a config file change in 3.5.0-11.11. The one that sticks out is:
[Config] enable CONFIG_X86_X32=y

I'll build a test kernel with that option disabled.

Joseph Salisbury (jsalisbury) wrote :

I built a test kernel with the config option CONFIG_X86_X32 diabled.

This kernel is available in the top level directory at:
http://people.canonical.com/~jsalisbury/lp1041883

Can you test that kernel and report back if it has the bug or not?

BlueHawk (jbarnett-pobox) wrote :

ok. Tried v4. That still has the random kernel panic issue with flashing caps lock. When it does boot and get to the login, you can't tell because the screen is black - the original 12.04 kernel problem. Logging in blind, suspending (closing the lid) and then coming out of suspend by opening the lid, properly re-initializes so you can see the display.

Joseph Salisbury (jsalisbury) wrote :

@peterrus,

Can you also test the kernel at:
http://people.canonical.com/~jsalisbury/lp1041883

peterrus (petorrus) wrote :
Download full text (3.7 KiB)

Does not seem to boot

On Thu, Sep 27, 2012 at 9:43 PM, Joseph Salisbury <
<email address hidden>> wrote:

> @peterrus,
>
> Can you also test the kernel at:
> http://people.canonical.com/~jsalisbury/lp1041883
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> In Progress
> Status in “linux” source package in Quantal:
> In Progress
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
> root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash
> pcie_aspm=force drm.vblankoffdelay=1 i915.semaphores=1 nmi_watchdog=0
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-10-generic N/A
> linux-backports-modules-3.5.0-10-generic N/A
> linux-firmware 1.90
> SourcePackage: linux
> StagingDrivers: rts5139
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 06/29/2012
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: UX32VD.207
> dmi.board.asset.tag: ATN12345678901234567
> dmi.board.name: UX32VD
> dmi.board.vendor: ASUSTeK ...

Read more...

zubozrout (zubozrout) wrote :

Hmm, same problem here with Quantal. As described, system won't boot unless the procedure is made through the recovery option in the grub. This way Ubuntu loads but brightness of the screen can not be changed because "/sys/class/backglight/..." thing is not up.

Somehow, after upgrade, it once booted up normally with no error (kernel panic) and fully functional. Nevertheless, the next boot was again the same with a kernel panic :'(

peterrus (petorrus) wrote :
Download full text (4.0 KiB)

Yes, sounds exactly like the problem
On Sep 28, 2012 10:55 AM, "zubozrout" <email address hidden> wrote:

> Hmm, same problem here with Quantal. As described, system won't boot
> unless the procedure is made through the recovery option in the grub.
> This way Ubuntu loads but brightness of the screen can not be changed
> because "/sys/class/backglight/..." thing is not up.
>
> Somehow, after upgrade, it once booted up normally with no error (kernel
> panic) and fully functional. Nevertheless, the next boot was again the
> same with a kernel panic :'(
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> In Progress
> Status in “linux” source package in Quantal:
> In Progress
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
> root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash
> pcie_aspm=force drm.vblankoffdelay=1 i915.semaphores=1 nmi_watchdog=0
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-10-generic N/A
> linux-backports-modules-3.5.0-10-generic N/A
> linux-firmware ...

Read more...

zubozrout (zubozrout) wrote :

Just upgraded to beta 2 and even though no kernel update was included, I had once again the luxury of booting without kernel panic. But then again, I am stacked with the error again.

zubozrout (zubozrout) wrote :

One more thing to add:
When booting through the recovery mode, I not only can't change the brightness, but it seem there is also a problem running 3D games. So, in this case, Unity runs only through the llvmpipe and some games are not playable at all:
using GL_RENDERER "Gallium 0.4 on llvmpipe (LLVM 0x301)"

Corentin Chary (iksaif) wrote :

> When booting through the recovery mode, I not only can't change the brightness, but it seem there is also a problem running 3D games. So, in this case, Unity runs only through the llvmpipe and some games are not playable at all:
> using GL_RENDERER "Gallium 0.4 on llvmpipe (LLVM 0x301)"

I don't think recovery mode is supposed to to anything more than
recovery. It you want to boot a stable system for now, just blacklist
asus-wmi / asus-nb-wmi (but that won't help for actually fixing the
problem).

--
Corentin Chary
http://xf.iksaif.net

peterrus (petorrus) wrote :
Download full text (4.2 KiB)

3D Drivers do not work in recovery mode ;)

On Fri, Sep 28, 2012 at 2:11 PM, Corentin Chary <email address hidden>wrote:

> > When booting through the recovery mode, I not only can't change the
> brightness, but it seem there is also a problem running 3D games. So, in
> this case, Unity runs only through the llvmpipe and some games are not
> playable at all:
> > using GL_RENDERER "Gallium 0.4 on llvmpipe (LLVM 0x301)"
>
> I don't think recovery mode is supposed to to anything more than
> recovery. It you want to boot a stable system for now, just blacklist
> asus-wmi / asus-nb-wmi (but that won't help for actually fixing the
> problem).
>
>
> --
> Corentin Chary
> http://xf.iksaif.net
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> In Progress
> Status in “linux” source package in Quantal:
> In Progress
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
> root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash
> pcie_aspm=force drm.vblankoffdelay=1 i915.semaphores=1 nmi_watchdog=0
> RelatedPackageVersions:
> ...

Read more...

peterrus (petorrus) wrote :
Download full text (4.4 KiB)

Also, blacklisting these modules did not prevent them from loading for some
reason

On Fri, Sep 28, 2012 at 2:54 PM, PJ P <email address hidden> wrote:

> 3D Drivers do not work in recovery mode ;)
>
>
> On Fri, Sep 28, 2012 at 2:11 PM, Corentin Chary <email address hidden>wrote:
>
>> > When booting through the recovery mode, I not only can't change the
>> brightness, but it seem there is also a problem running 3D games. So, in
>> this case, Unity runs only through the llvmpipe and some games are not
>> playable at all:
>> > using GL_RENDERER "Gallium 0.4 on llvmpipe (LLVM 0x301)"
>>
>> I don't think recovery mode is supposed to to anything more than
>> recovery. It you want to boot a stable system for now, just blacklist
>> asus-wmi / asus-nb-wmi (but that won't help for actually fixing the
>> problem).
>>
>>
>> --
>> Corentin Chary
>> http://xf.iksaif.net
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1041883
>>
>> Title:
>> Recent patch to asus-wmi module makes system unbootable
>>
>> Status in “linux” package in Ubuntu:
>> In Progress
>> Status in “linux” source package in Quantal:
>> In Progress
>>
>> Bug description:
>> There has been recently a patch to the asus-wmi module (see
>> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
>> module is part of the linux-image-3.5.0-11-generic package. Using this
>> module renders the system unbootable (For reasons probably described
>> in the logs, but currently beyond my knowledge, stacktraces can be
>> seen though)
>>
>> I have applied this patch before through dkms and had the exact same
>> problems. So I removed the patch, it is now part of the ubuntu kernel
>> though.
>>
>> The behaviour seems somewhat random, sometimes the system boots, and
>> the Function hotkeys (keyboard backlight, volume etc) work (except the
>> known problem with the brightness keys and ambient light sensor). But
>> most of the time the system simply wont boot. I can however first
>> start the system in recovery mode, and then proceed normal boot, the
>> problem does not occur then.
>>
>> Hardware: Asus Zenbook UX32V
>>
>> If further information/testing is needed, please contact me.
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 12.10
>> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
>> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
>> Uname: Linux 3.5.0-10-generic x86_64
>> ApportVersion: 2.5.1-0ubuntu2
>> Architecture: amd64
>> AudioDevicesInUse:
>> USER PID ACCESS COMMAND
>> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
>> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
>> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
>> Date: Sun Aug 26 18:08:05 2012
>> EcryptfsInUse: Yes
>> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
>> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
>> (20120627)
>> MachineType: ASUSTeK COMPUTER INC. UX32VD
>> ProcEnviron:
>> TERM=xterm
>> PATH=(custom, user)
>> LANG=en_US.UTF-8
>> SHELL=/bin/bash
>> ProcFB: 0 inteldrmfb
...

Read more...

Joseph Salisbury (jsalisbury) wrote :

@peterrus,

In comment #83 you say the v4 test kernel does not boot. Are you getting any messages on the screen? Is there a system panic? If so, can you capture a screen shot and post it to the bug?

Tommy Nevtelen (dal) wrote :

On Fri, Sep 28, 2012 at 12:11:57PM -0000, Corentin Chary wrote:
> > When booting through the recovery mode, I not only can't change the brightness, but it seem there is also a problem running 3D games. So, in this case, Unity runs only through the llvmpipe and some games are not playable at all:
> > using GL_RENDERER "Gallium 0.4 on llvmpipe (LLVM 0x301)"
>
> I don't think recovery mode is supposed to to anything more than
> recovery. It you want to boot a stable system for now, just blacklist
> asus-wmi / asus-nb-wmi (but that won't help for actually fixing the
> problem).

My temporary fix for my UX32VD is to boot with nolapic. This enables a
clean and working boot every time with fn-keys working. Sans backlight of
course.

--
Tommy Nevtelen

peterrus (petorrus) wrote :
Download full text (5.9 KiB)

peterrus@host:~$ uname -a
Linux host 3.5.0-15-generic #23~lp1041883v4 SMP Wed Sep 26 16:53:03 UTC
2012 x86_64 x86_64 x86_64 GNU/Linux

peterrus@host:~$ cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-3.5.0-15-generic
root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro nosplash vt.handoff=7

System boots, but screen stays black, I first have to suspend it by closing
the laptoplid and then reopening it. After that all known-to-work
functionbuttons work.

On Fri, Sep 28, 2012 at 3:54 PM, PJ P <email address hidden> wrote:

> Disregard last, I was still booting a -11 kernel, and we were now actually
> testing a -15 one, will report back in a few minutes
>
>
> On Fri, Sep 28, 2012 at 3:44 PM, PJ P <email address hidden> wrote:
>
>> Strange I can seem to completely reproduce the problem on the v4 kernel,
>> what I did:
>>
>> First try: Normal boot, with splash etc: boot became stuck, with the
>> purple Ubuntu splash showing, and all five polka-dots being red-ish.
>>
>> Second try: this time I removed the 'quiet' kernel parameter and added
>> 'nosplash', the system booted successfully,
>>
>> Third try: thinking it might have something to do with those kernel
>> parameters, I tried a normal boot, boot was successful.
>>
>> Fourth try: normal boot still works.
>>
>> Fifth try: quiet + nosplash boot also works.
>>
>> Seems quite random.
>>
>>
>> On Fri, Sep 28, 2012 at 3:04 PM, Tommy Nevtelen <
>> <email address hidden>> wrote:
>>
>>> On Fri, Sep 28, 2012 at 12:11:57PM -0000, Corentin Chary wrote:
>>> > > When booting through the recovery mode, I not only can't change the
>>> brightness, but it seem there is also a problem running 3D games. So, in
>>> this case, Unity runs only through the llvmpipe and some games are not
>>> playable at all:
>>> > > using GL_RENDERER "Gallium 0.4 on llvmpipe (LLVM 0x301)"
>>> >
>>> > I don't think recovery mode is supposed to to anything more than
>>> > recovery. It you want to boot a stable system for now, just blacklist
>>> > asus-wmi / asus-nb-wmi (but that won't help for actually fixing the
>>> > problem).
>>>
>>> My temporary fix for my UX32VD is to boot with nolapic. This enables a
>>> clean and working boot every time with fn-keys working. Sans backlight of
>>> course.
>>>
>>> --
>>> Tommy Nevtelen
>>>
>>> --
>>> You received this bug notification because you are subscribed to the bug
>>> report.
>>> https://bugs.launchpad.net/bugs/1041883
>>>
>>> Title:
>>> Recent patch to asus-wmi module makes system unbootable
>>>
>>> Status in “linux” package in Ubuntu:
>>> In Progress
>>> Status in “linux” source package in Quantal:
>>> In Progress
>>>
>>> Bug description:
>>> There has been recently a patch to the asus-wmi module (see
>>> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
>>> module is part of the linux-image-3.5.0-11-generic package. Using this
>>> module renders the system unbootable (For reasons probably described
>>> in the logs, but currently beyond my knowledge, stacktraces can be
>>> seen though)
>>>
>>> I have applied this patch before through dkms and had the exact same
>>> problems. So I removed the patch, it is now part of the ubuntu kernel
>>> though.
>>>
>>> ...

Read more...

Joseph Salisbury (jsalisbury) wrote :

@peterrus, but you don't get the panic that you saw when originally opening this bug?

peterrus (petorrus) wrote :
Download full text (3.9 KiB)

I do indeed not encounter this panic:
https://launchpadlibrarian.net/113647137/2012-08-26%2019.05.22.jpg

This black screen issue is probably unrelated to this bug, open a new
bugreport?

On Fri, Sep 28, 2012 at 4:37 PM, Joseph Salisbury <
<email address hidden>> wrote:

> @peterrus, but you don't get the panic that you saw when originally
> opening this bug?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> In Progress
> Status in “linux” source package in Quantal:
> In Progress
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
> root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash
> pcie_aspm=force drm.vblankoffdelay=1 i915.semaphores=1 nmi_watchdog=0
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-10-generic N/A
> linux-backports-modules-3.5.0-10-generic N/A
> linux-firmware 1.90
> SourcePackage: linux
> StagingDrivers: rts5139
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 06/29/2012
> dmi.bios.vendor: American...

Read more...

Joseph Salisbury (jsalisbury) wrote :

Can other folks affected by the original panic described in this bug report test the kernel mentioned in comment #80? For all other issues, it is best to open a new bug report, so those other issues can be addressed individually.

Thanks again everyone for testing!

Tim Gardner (timg-tpi) wrote :

UBUNTU: [Config] revert 'UBUNTU: [Config] enable CONFIG_X86_X32=y'

Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
ambidextrvs (ambidextrvs) wrote :

Hi, I just tested the kernel from comment #80 and I still get the kernel panic with the flashing "caps lock" key.

I experience the problem (blank screen, nothing works for 19 out of 20 boots) with a hand-made kernel that does not have CONFIG_X86_32 set. I guess the bug is caused by something else.

Joseph Salisbury (jsalisbury) wrote :

@ambidextrvs and @Carsten Otto,

Can you post a screen capture or digital picture of the panic you are seeing? That way we can see if this is the same issue or not.

ambidextrvs (ambidextrvs) wrote :

Hi, I don't think a picture would help since the screen is blank but here is a video. I entered the edit menu on grub at the beginning to show the text output.

ambidextrvs (ambidextrvs) wrote :

I should also say that adding "nolapic" to the grub seems to be a workaround for the problem as @Tommy Nevtelen (dal) said.
Tested it in Linux zenbook 3.5.0-15-generic #23~lp1041883v4 SMP Wed Sep 26 16:53:03 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

peterrus (petorrus) wrote :
Download full text (3.9 KiB)

@ambidextrvs
*
*
*Does closing the lid, and then reopening it give you a working image?
*
On Fri, Sep 28, 2012 at 10:50 PM, ambidextrvs <email address hidden> wrote:

> I should also say that adding "nolapic" to the grub seems to be a
> workaround for the problem as @Tommy Nevtelen (dal) said.
> Tested it in Linux zenbook 3.5.0-15-generic #23~lp1041883v4 SMP Wed Sep 26
> 16:53:03 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>

>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> Fix Committed
> Status in “linux” source package in Quantal:
> Fix Committed
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64
> (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic
> root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash
> pcie_aspm=force drm.vblankoffdelay=1 i915.semaphores=1 nmi_watchdog=0
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-10-generic N/A
> linux-backports-modules-3.5.0-10-generic N/A
> linux-firmware 1.90
> SourcePackage: linux
> StagingDrivers: rts5139
> UpgradeStatus: No upgrade log present (probably fresh instal...

Read more...

ambidextrvs (ambidextrvs) wrote :

@peterrus

No, the "caps lock" key just kept blinking.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-16.25

---------------
linux (3.5.0-16.25) quantal-proposed; urgency=low

  [ <email address hidden> ]

  * SAUCE: input: Cypress PS/2 Trackpad fix multi-source, double-click
    - LP: #1055788

  [ Tim Gardner ]

  * [Config] revert '[Config] enable CONFIG_X86_X32=y'
    - LP: #1041883

  [ Upstream Kernel Changes ]

  * vmwgfx: corruption in vmw_event_fence_action_create()
  * drm/nvd0/disp: hopefully fix selection of 6/8bpc mode on DP outputs
    - LP: #1058088
  * drm/nv50-/gpio: initialise to vbios defaults during init
    - LP: #1058088
  * igb: A fix to VF TX rate limit
    - LP: #1058188
  * igb: Add switch case for supported hardware to igb_ptp_remove.
    - LP: #1058188
  * igb: Support the get_ts_info ethtool method.
    - LP: #1058188
  * igb: Streamline RSS queue and queue pairing assignment logic.
    - LP: #1058188
  * igb: Update firmware info output
    - LP: #1058188
  * igb: Version bump
    - LP: #1058188
  * igb: reset PHY in the link_up process to recover PHY setting after
    power down.
    - LP: #1058188
  * igb: Fix for failure to init on some 82576 devices.
    - LP: #1058188
  * igb: correct hardware type (i210/i211) check in igb_loopback_test()
    - LP: #1058188
  * igb: don't break user visible strings over multiple lines in
    igb_ethtool.c
    - LP: #1058188
  * igb: add delay to allow igb loopback test to succeed on 8086:10c9
    - LP: #1058188
  * igb: fix panic while dumping packets on Tx hang with IOMMU
    - LP: #1058188
  * igb: Fix register defines for all non-82575 hardware
    - LP: #1058188
  * e1000e: use more informative logging macros when netdev not yet
    registered
    - LP: #1058219
  * e1000e: Cleanup code logic in e1000_check_for_serdes_link_82571()
    - LP: #1058219
  * e1000e: Program the correct register for ITR when using MSI-X.
    - LP: #1058219
  * e1000e: advertise transmit time stamping
    - LP: #1058219
  * e1000e: 82571 Tx Data Corruption during Tx hang recovery
    - LP: #1058219
  * e1000e: fix panic while dumping packets on Tx hang with IOMMU
    - LP: #1058219
  * e1000: Combining Bitwise OR in one expression.
    - LP: #1058221
  * e1000: advertise transmit time stamping
    - LP: #1058221
  * e1000: Small packets may get corrupted during padding by HW
    - LP: #1058221
  * sched: Fix migration thread runtime bogosity
    - LP: #1057593
  * ACER: Add support for accelerometer sensor
    - LP: #1055433
  * ACER: Fix Smatch double-free issue
    - LP: #1055433

  [ Wen-chien Jesse Sung ]

  * SAUCE: HID: ntrig: change default value of logical/physical
    width/height to 1
    - LP: #1044248
 -- Leann Ogasawara <email address hidden> Fri, 28 Sep 2012 14:07:41 -0700

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
ambidextrvs (ambidextrvs) wrote :

Should I open another bug? Was this bug fixed for everybody?

BlueHawk (jbarnett-pobox) wrote :

Can't confirm fix as I can't find a 3.5.0-16.24 AMD64 build as yet and I'm not keen on building one from scratch. Maybe we need to log the ASUS UX32A problem as separate since although the symptoms are the same as @peterrus his went away with one of the mods here but he had a UX32VD.

peterrus (petorrus) wrote :
Download full text (4.0 KiB)

I have a UX32V not VD (the only difference is the display resolution
though, afaik). I have not yet have the chance to test the -16 kernel,
will report back as soon as I do.

On Sun, Sep 30, 2012 at 5:15 PM, BlueHawk <email address hidden> wrote:
> Can't confirm fix as I can't find a 3.5.0-16.24 AMD64 build as yet and
> I'm not keen on building one from scratch. Maybe we need to log the ASUS
> UX32A problem as separate since although the symptoms are the same as
> @peterrus his went away with one of the mods here but he had a UX32VD.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1041883
>
> Title:
> Recent patch to asus-wmi module makes system unbootable
>
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Quantal:
> Fix Released
>
> Bug description:
> There has been recently a patch to the asus-wmi module (see
> http://comments.gmane.org/gmane.linux.kernel/1315719). This updated
> module is part of the linux-image-3.5.0-11-generic package. Using this
> module renders the system unbootable (For reasons probably described
> in the logs, but currently beyond my knowledge, stacktraces can be
> seen though)
>
> I have applied this patch before through dkms and had the exact same
> problems. So I removed the patch, it is now part of the ubuntu kernel
> though.
>
> The behaviour seems somewhat random, sometimes the system boots, and
> the Function hotkeys (keyboard backlight, volume etc) work (except the
> known problem with the brightness keys and ambient light sensor). But
> most of the time the system simply wont boot. I can however first
> start the system in recovery mode, and then proceed normal boot, the
> problem does not occur then.
>
> Hardware: Asus Zenbook UX32V
>
> If further information/testing is needed, please contact me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-11-generic 3.5.0-11.11
> ProcVersionSignature: Ubuntu 3.5.0-10.10-generic 3.5.1
> Uname: Linux 3.5.0-10-generic x86_64
> ApportVersion: 2.5.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: peterrus 2343 F.... pulseaudio
> /dev/snd/pcmC0D0c: peterrus 2343 F...m pulseaudio
> /dev/snd/pcmC0D0p: peterrus 2343 F...m pulseaudio
> Date: Sun Aug 26 18:08:05 2012
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=2e120efe-dafa-40e8-868d-06223b0be158
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (20120627)
> MachineType: ASUSTeK COMPUTER INC. UX32VD
> ProcEnviron:
> TERM=xterm
> PATH=(custom, user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-10-generic root=UUID=9bb3948b-2fd3-46c4-b0bb-0ae32a87278a ro quiet splash pcie_aspm=force drm.vblankoffdelay=1 i915.semaphores=1 nmi_watchdog=0
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-10-generic N/A
> linux-backports-modules-3.5.0-10-generic N/A
> linux-firmware 1.90
> Sou...

Read more...

Ash (thetuxdude) wrote :

I have an UX32VD and I boot a 3.5.x kernel (from openSUSE). I can confirm I have the exact same problem and hang as described in this thread. (with the caps lock key LED flashing).

It takes me somewhere between 5 and 10 tries to get a working bootable system when asus-wmi driver is not blacklisted.

Was this the only change done to fix the problem ?
* [Config] revert '[Config] enable CONFIG_X86_X32=y'
    - LP: #1041883

Ash (thetuxdude) wrote :

I was seeing this problem with Ubuntu 12.04 booting off SSD (similar to my earlier openSUSE setup).

After a little fiddling around based on the info in this thread (especially about asus_wmi_rfkill_init()) and the asus-wmi.c, I think I've found the problematic module which seems to cause the race condition. It is btusb.

I suspect the issue is more prominently seen when booting off SSD since the asus-wmi and btusb's timing overlap but not that easily when booting off a regular HDD.

To fix the issue on Ubuntu, this is what I did:
echo "blacklist btusb" | sudo tee /etc/blacklist-btusb.conf
echo "/sbin/modprobe btusb" | sudo tee /etc/rc.local

I've just moved insmodding the btusb module from the early modprobe stage to the very last in the rc scripts. In other words you should still have bluetooth working when the GUI starts up.

I rebooted at least 10 times without any issues, and I have almost all the Fn key combinations working (except for Brightness and the keys above space bar). I haven't got this high success rate in booting in the past 1 - 2 months.

BTW, a similar fix also works for my openSUSE bootup (use /etc/rc.d/boot.local instead of /etc/rc.local)

Could others who are having the problem - verify if this at least works around the kernel panics as well as have asus-wmi working ?

ambidextrvs (ambidextrvs) wrote :

Hi, this is great, seems like a possible explanation. I just tested with kernel from #80 and 3.5.0-16 and the computer didn't boot correctly. Then tested with mainline 3.6.0 , it booted correctly and I have all fn-keys working (except screen brightness)
I'll update tomorrow if the situation changes.

zubozrout (zubozrout) wrote :

@Ash - Thanks for your solution. It works great (up until now I've been using the noapic linux kernel option). And it works even better than the noapic solution, because somehow, more applications were crashing with noapic = apport was more active and always ended with some "lack of ram" error message, though more than 2 free GBs were always available. In addition noapic worked only sometimes (was random), thought there was a great chance the system will boot up on the second time, after entering the default boot option in grub (not sure why).

This blacklist works great, no problems yet. Seems more stable and has no problems booting. Thanks.

zubozrout (zubozrout) wrote :

This morning when I turned on my device kernel panic occurred again. I don't know why it was working with no problems yesterday (and I rebooted more than 5 times), but it seems that the problem is not completely solved. (I am booting off a regular HDD, not SSD).

BlueHawk (jbarnett-pobox) wrote :

I've tried the fix so far and it seems stable. But I'll try again tonight from a cold start, since my problem manifested itself badly when the machine is cold - I'd say the settling times are longer when the components are cold, increasing the likelihood for the race conditions.

@zubozrout - the instructions have a typo; the blacklist-btusb.conf file should be in directory /etc/modprobe.d, not /etc.

Ash (thetuxdude) wrote :

Sorry about the typo - the commands should have been:

echo "blacklist btusb" | sudo tee /etc/modprobe.d/blacklist-btusb.conf
echo "/sbin/modprobe btusb" | sudo tee /etc/rc.local

BlueHawk (jbarnett-pobox) wrote :

Ok. Tested for a few more days from completely cold starts. Seems stable now. No panics. Seems like that is the real fix for the boot.

ambidextrvs (ambidextrvs) wrote :

Yes, same here. Thanks @Ash!

Corentin Chary (iksaif) wrote :

On Sun, Oct 7, 2012 at 12:43 AM, BlueHawk <email address hidden> wrote:
> Ok. Tested for a few more days from completely cold starts. Seems stable
> now. No panics. Seems like that is the real fix for the boot.

Well, it's more a real workaround :/

--
Corentin Chary
http://xf.iksaif.net

ambidextrvs (ambidextrvs) wrote :

By the way, mainline kernel 3.6 seems to fix the issue without the need for a workaround. I've been using it for over a week with no crashes and working fn-keys (except screen brightness)

Ash (thetuxdude) wrote :

@ambidextrvs - Yes you're right - I tried both openSUSE and Ubuntu running mainline 3.6 kernel and didn't observe this problem anymore.

zubozrout (zubozrout) wrote :

The upgrade from 12.04 to 12.10 seems to be stable this way (I made no changes and I've no kernel panics). However, I've got the following problem: https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/1066410
Can anyone confirm that or please help me with it?
Thank you very much. For me that is really a weird problem.

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers